#ifndef _CMENUUP_HPP_
#define _CMENUUP_HPP_

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

namespace Input {
	class cMenuUp : public InputEngine::cKey
	{
	public:
		cMenuUp( SDL_Keycode key, MainMenu::cMainMenu** menu );
		//cMenuUp( const cMenuUp& copy );
		~cMenuUp();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		MainMenu::cMainMenu** mpp_menu;
	};/// END CLASS DEFINITION cMenuUp
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CMENUUP_HPP_